Subject: 23.1; calling rmail-cease-edit sets rmail-buffer to nil

From: "Barak A. Pearlmutter" <[email-masked]>
Date: Thu, 18 Feb 2010 01:46:18 +0000

I use rmail with mailcrypt.  After transitioning to Emacs 23,
mc-rmail-decrypt-message would bomb with an error after replacing the
text, and would therefore not set the labels appropriately.

Tracked the problem down to a call to (rmail-cease-edit) just before
some (rmail-*-label) calls.  The label manipulation was failing.  It
turned out that immediately before the (rmail-cease-edit) call, the
variable rmail-buffer was set correctly, and immediately after it was
not.  This caused the label manipulation to bomb:

  Wrong type argument: stringp, nil

There is a workaround to the problem in mailcrypt

  http://github.com/barak/mailcrypt/commit/d2c046cd100dbdfd427e0f31eec1fd39fc5a0da6

but the underlying issue seems like something that probably broke in
the transition to rmail/mbox from rmail/babyl, so I thought I'd bring
it to your attention.

					--Barak.
--
Barak A. Pearlmutter <[email-masked]>
 Hamilton Institute & Dept Comp Sci, NUI Maynooth, Co. Kildare, Ireland
 http://www.bcl.hamilton.ie/~barak/

----------------------------------------------------------------

In GNU Emacs 23.1.1 (i486-pc-linux-gnu, GTK+ Version 2.12.12)
 of 2009-10-19 on debian-build.int-office-er.priv, modified by Debian
configured using `configure  '--build=i486-linux-gnu' '--host=i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.1/leim' '--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_IE@euro
  value of $XMODIFIERS: nil
  locale-coding-system: iso-latin-9-unix
  default-enable-multibyte-characters: t